Description

I am trying to install QGIS 2.18 from the official repositories, on Ubuntu 17.04:

http://qgis.org/en/site/forusers/alldownloads.html#linux

I am following the installation instructions outlined in this StackExchange answer:

https://askubuntu.com/questions/857574/impossible-to-install-qgis-2-18-on-ubuntu-16-10/892503#892503

Installation fails, with the following dependency errors:

The following packages have unmet dependencies:

 qgis : Depends: gdal-abi-2-1-1 but it is not installable

        Depends: libqgis-analysis2.18.13 but it is not going to be installed

        Depends: libqgis-app2.18.13 but it is not going to be installed

        Depends: libqgis-core2.18.13 but it is not going to be installed

        Depends: libqgis-gui2.18.13 but it is not going to be installed

        Depends: libqgis-networkanalysis2.18.13 but it is not going to be installed

        Depends: python-qgis (= 1:2.18.13+25yakkety) but 2.14.11+dfsg-2 is to be installed

        Depends: qgis-providers (= 1:2.18.13+25yakkety) but it is not going to be installed

        Recommends: qgis-plugin-globe but it is not going to be installed

        Recommends: qgis-plugin-grass but it is not going to be installed

        Recommends: qgis-provider-grass but it is not going to be installed

E: Unable to correct problems, you have held broken packages.

Note, Ubuntu GIS does not maintain packages for non-LTS versions of Ubuntu, so I have tried the QGIS packages without UbuntuGIS

dependencies.

History

#1 - 2017-10-14 09:29 AM - Brylie Oxley

Sorry, it boiled down to my using the wrong release name. Ubuntu 17.10 is 'Zesty', and I was using 'Yakkety'. It might be helpful to clearly document the

installation steps, including key signing for APT as part of the QGIS official documentation.

#2 - 2017-10-14 09:47 PM - Harrissou Santanna

It might be helpful to clearly document the installation steps, including key signing for APT as part of the QGIS official documentation.
which information from the stackexchange discussion do you miss in http://qgis.org/en/site/forusers/alldownloads.html#linux? Aren't all the steps provided

?

#3 - 2017-10-15 07:25 AM - Brylie Oxley

I guess it is not that information is missing from the installation instructions page. Rather, the information is presented in such a way that is somewhat

scattered and ambiguous, requiring careful attention and trial and error. E.g. there are two alternatives for adding GPG keys, where the simpler command

to "add the key to apt in one go (without manual fingerprint verification)" would suffice. It is also left to the reader to ascertain that UbuntuGIS is not

maintained for non-LTS versions.

An improvement would be to have 

    -  a section with exact command(s) that a reader can copy/paste that are common to all Ubuntu platforms (e.g. the GPG key)

    -  sections for each, currently maintained, Ubuntu version with copy and paste commands that are relevant for that version

#4 - 2017-10-15 07:29 AM - Brylie Oxley

See the Certbot installation instructions,for example, where the reader makes two relevant choices and is presented with the exact commands to enter for

their context:

https://certbot.eff.org/

#5 - 2017-10-15 07:46 AM - Brylie Oxley

Another alternative would be to have a unified Linux installer script that would determine the platform and run the appropriate commands, asking only for

root permission. The Anaconda Python distribution has an unified Linux installer, which makes installing Anaconda on Linux about as easy as Windows or

OS X. The idea being that Linux users appreciate simplicity too ☺

https://conda.io/docs/user-guide/install/linux.html

#6 - 2017-10-16 12:17 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to invalid

The code of the QGIS web site is in the project GitHub page, propose a better way of presenting those instructions, thanks!

#7 - 2017-10-16 12:29 PM - Jürgen Fischer

Giovanni Manghi wrote:

The code of the QGIS web site is in the project GitHub page, propose a better way of presenting those instructions, thanks!

"better" and "not requiring more effort to maintain".
